## 1.1.1
* Fix 'logoutAfterDelete'

## 1.1.0
* Added delete account action

## 1.0.0
* Support Async logic on custom mappers or parsers
* First public release

## 0.8.7
* Improve expiration handle
* Throw session expired when the system wont be able to refresh

## 0.8.6
* Logout on getSession failure
* Other improves
* Log getSession exceptions
* Upgrade flutter_gb_stack_base

## 0.8.1
* Update "flutter_gb_stack_base" dependency

## 0.8.0
* Use stack_base repo_base_impl handlers
* Changed String based endpoint definitions to Uris

## 0.7.7
* Updated stack base

## 0.7.5
* Dispatch failure if trying to fetch user without session data

## 0.7.4
* Ensure guards always resolve
*  Updated stack_base dep

## 0.7.3
* Change logging type to verbose

## 0.7.2
* Update dependencies

## 0.7.1
* Implement `BlocEventListener` on `AuthenticationBasicBlocListener`
* Update dependencies

## 0.7.0
* Upgrade dependencies to support flutter 3.3.x

## 0.6.8
* handle better `NoAuthenticatedFailure` scenario

## 0.6.7
* Make authenticated state property a getter

## 0.6.5
* Update dependencies

## 0.6.4
* Added `hasTokenExpired` static function

## 0.6.3
* Added some extra warning if overriding HttpClientImpl
* Updated `flutter_gb_stack_base`dependency
* Allow to recycle HttpClient in a safer way
* This was required in order to provide enough flexibility to a specific project

## 0.6.2
* Fix wait loop on guard refresh timeout logic
* Update dependencies

## 0.6.1
* Support special decimal case on token claims

## 0.6.0
* Improve `AuthenticationBasicBlocListener`  container

## 0.5.3
* Improve `AuthenticationBasicBlocListener`  container
## 0.5.1
* Improved "refreshToken" handling
* Updated stack base dependency

## 0.5.0
* Upgrade dependencies to be compatible with Flutter 3.0

## 0.4.8
* Update dependencies

## 0.4.7
* Update dependencies
* 
## 0.4.6
* Update dependencies

## 0.4.5
* Fix public logger method
* Update dependencies

## 0.4.4
* Update stack_base dependency

## 0.4.3
* Update dependencies

## 0.4.2
* Make `storeAuthDataSession` method async

## 0.4.1
* Transform private method to protected 
  Method in AuthService `_storeAuthData` now is protected `storeAuthDataSession`
  This will allow usage in other classes that extends this as a base

## 0.4.0
* Major Breaking changes
  * Upgrade to use new `flutter_gb_stack_base`
  * Updated other dependencies

## 0.3.1
* Fix user serialization for signup method

## 0.3.0
* Update flutils dependency & update code
* Internally auth http client have been upgraded

## 0.2.2
* Updated flutils dependency

## 0.2.1 
* Added [useReplayStream] prop in AuthenticationBasicBlocListener
  * This helps Listener to dispatch callbacks when it was to late to listen to them

## 0.2.0 
* Breaking changes
  * Changed BasicAuthenticationConfig props types
    * [customLoginResponseParser]
    * [customSignupCredentialsResponseParser]
* Updated flutils dependency
## 0.1.0
* Updated flutils dependency &
* Perform corresponding changes for new lib version

## 0.0.5
* Updated flutils dependency 

## 0.0.4
* Updated flutils dependency 
  
## 0.0.3
* Added basic AuthGuard

## 0.0.2
* Increase SDK version compatibility

## 0.0.1

* Initial release
