import 'package:flutter/widgets.dart';
import 'package:flutter_bloc/flutter_bloc.dart';

import '../../flutter_gb_authentication_basic.dart';

class AuthenticationBasicBlocBuilder extends StatelessWidget {
  final Widget Function(BuildContext context, AuthenticationBasicState state) builder;

  const AuthenticationBasicBlocBuilder({
    Key? key,
    required this.builder,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return BlocBuilder<AuthenticationBasicBloc, AuthenticationBasicState>(
      builder: builder,
    );
  }
}
