import 'package:logger/logger.dart';

import '../flutter_gb_authentication_basic.dart';

Logger _logger = Logger(printer: PrettyPrinter(), output: AuthenticationBasicConsoleOutput());

Logger getAuthenticationBasicLogger(BasicAuthenticationConfig config) {
  return _logger;
}

class AuthenticationBasicConsoleOutput extends LogOutput {
  @override
  void output(OutputEvent event) {
    print("*** AuthenticationBasic Lib ***");
    event.lines.forEach(print);
  }
}
